Create Revision
curl --request POST \
--url https://{host}/api/model-deployments/{deployment_id}/revisions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_source": {
"kind": "artifact",
"run_id": "<string>"
},
"config": {
"engine": "vllm",
"gpus": 1,
"dtype": "auto",
"quantization": "none",
"max_model_len": 2097216,
"gpu_memory_utilization": 0.9,
"max_concurrency": 32768,
"trust_remote_code": false,
"served_model_name": "model",
"tensor_parallel_size": 32,
"pipeline_parallel_size": 32,
"data_parallel_size": 32,
"extra_args": [
"<string>"
],
"env": {},
"vllm": {
"cpu_offload_gib": 0,
"kv_cache_dtype": "auto",
"enforce_eager": false,
"max_num_batched_tokens": 524320,
"enable_prefix_caching": false,
"enable_chunked_prefill": true,
"tool_call_parser": "<string>",
"reasoning_parser": "<string>",
"chat_template": "<string>"
},
"sglang": {
"mem_fraction_static": 0.88,
"chunked_prefill_size": 524352,
"schedule_policy": "lpm",
"max_running_requests": 32768,
"disable_radix_cache": false,
"tool_call_parser": "<string>",
"reasoning_parser": "<string>",
"chat_template": "<string>"
}
},
"allow_downtime": false
}
'import requests
url = "https://{host}/api/model-deployments/{deployment_id}/revisions"
payload = {
"model_source": {
"kind": "artifact",
"run_id": "<string>"
},
"config": {
"engine": "vllm",
"gpus": 1,
"dtype": "auto",
"quantization": "none",
"max_model_len": 2097216,
"gpu_memory_utilization": 0.9,
"max_concurrency": 32768,
"trust_remote_code": False,
"served_model_name": "model",
"tensor_parallel_size": 32,
"pipeline_parallel_size": 32,
"data_parallel_size": 32,
"extra_args": ["<string>"],
"env": {},
"vllm": {
"cpu_offload_gib": 0,
"kv_cache_dtype": "auto",
"enforce_eager": False,
"max_num_batched_tokens": 524320,
"enable_prefix_caching": False,
"enable_chunked_prefill": True,
"tool_call_parser": "<string>",
"reasoning_parser": "<string>",
"chat_template": "<string>"
},
"sglang": {
"mem_fraction_static": 0.88,
"chunked_prefill_size": 524352,
"schedule_policy": "lpm",
"max_running_requests": 32768,
"disable_radix_cache": False,
"tool_call_parser": "<string>",
"reasoning_parser": "<string>",
"chat_template": "<string>"
}
},
"allow_downtime": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_source: {kind: 'artifact', run_id: '<string>'},
config: {
engine: 'vllm',
gpus: 1,
dtype: 'auto',
quantization: 'none',
max_model_len: 2097216,
gpu_memory_utilization: 0.9,
max_concurrency: 32768,
trust_remote_code: false,
served_model_name: 'model',
tensor_parallel_size: 32,
pipeline_parallel_size: 32,
data_parallel_size: 32,
extra_args: ['<string>'],
env: {},
vllm: {
cpu_offload_gib: 0,
kv_cache_dtype: 'auto',
enforce_eager: false,
max_num_batched_tokens: 524320,
enable_prefix_caching: false,
enable_chunked_prefill: true,
tool_call_parser: '<string>',
reasoning_parser: '<string>',
chat_template: '<string>'
},
sglang: {
mem_fraction_static: 0.88,
chunked_prefill_size: 524352,
schedule_policy: 'lpm',
max_running_requests: 32768,
disable_radix_cache: false,
tool_call_parser: '<string>',
reasoning_parser: '<string>',
chat_template: '<string>'
}
},
allow_downtime: false
})
};
fetch('https://{host}/api/model-deployments/{deployment_id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deployment_id": "<string>",
"sequence": 123,
"engine": "<string>",
"model_source": {},
"config": {},
"status": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"runtime_ref": "<string>",
"runtime_meta": {},
"internal_endpoint": "<string>",
"error": "<string>",
"ready_at": "2023-11-07T05:31:56Z",
"retired_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Revision
POST
/
api
/
model-deployments
/
{deployment_id}
/
revisions
Create Revision
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
响应
Successful Response